[ooo-build-commit] .: 3 commits - bin/build-ooo bin/unpack
Fridrich Strba
fridrich at kemper.freedesktop.org
Mon Oct 4 03:34:43 PDT 2010
bin/build-ooo | 2 +-
bin/unpack | 50 +++++++++++++++++++++++++++++++++++++-------------
2 files changed, 38 insertions(+), 14 deletions(-)
New commits:
commit e196b7a927f6bcfc78a4e8333cc0d8f3354e9ba5
Author: Robert Sedak <robert.sedak at sk.t-com.hr>
Date: Mon Oct 4 12:34:07 2010 +0200
Don't preserve the owner from tar file when unpacking
diff --git a/bin/unpack b/bin/unpack
index 961c9ff..a22e9a5 100755
--- a/bin/unpack
+++ b/bin/unpack
@@ -260,12 +260,12 @@ if test "z$SYSTEM_GCC" = "z"; then
echo "Unpacking compiler bits"
if test "z$BINUTILS_TARBALL" != "z"; then
- ($BINUTILS_DECOMPRESS_CMD $SRCDIR/$BINUTILS_TARBALL | $GNUTAR xpf - ) || exit 1;
+ ($BINUTILS_DECOMPRESS_CMD $SRCDIR/$BINUTILS_TARBALL | $GNUTAR xf - ) || exit 1;
for P in $BINUTILS_PATCHES ; do
patch -d "$BINUTILS_VER" -p1 -s < "$SRCDIR/$P"
done
fi
- ($GCC_DECOMPRESS_CMD $SRCDIR/$GCC_TARBALL | $GNUTAR xpf - ) || exit 1;
+ ($GCC_DECOMPRESS_CMD $SRCDIR/$GCC_TARBALL | $GNUTAR xf - ) || exit 1;
for P in $GCC_PATCHES ; do
patch -d "$GCC_VER" -p1 -s < "$SRCDIR/$P"
done
@@ -275,7 +275,7 @@ echo "Unpacking OO.o build tree - [ go and have some $DRINK ] ..."
if test "z$OOO_GIT" = "z" ; then
if test "z$SPLIT" != "zyes"; then
echo "Unpacking $OOO_TARBALL..."
- ($OOO_DECOMPRESS_CMD $SRCDIR/$OOO_TARBALL | $GNUTAR xpf - ) || exit 1
+ ($OOO_DECOMPRESS_CMD $SRCDIR/$OOO_TARBALL | $GNUTAR xf - ) || exit 1
else # split packages
if test -d $OOBUILDDIR; then
echo " removing old build dir: $OOBUILDDIR"
@@ -288,7 +288,7 @@ if test "z$OOO_GIT" = "z" ; then
fi
for pkg in $CORE_PKGS; do
echo " unpacking $pkg..."
- ($OOO_DECOMPRESS_CMD "$SRCDIR/$OOO_SPLIT_PREFIX$pkg-$OOO_SOURCEVERSION.tar.bz2" | $GNUTAR xpf - ) || exit 1
+ ($OOO_DECOMPRESS_CMD "$SRCDIR/$OOO_SPLIT_PREFIX$pkg-$OOO_SOURCEVERSION.tar.bz2" | $GNUTAR xf - ) || exit 1
echo " moving it into place..."
mv $OOO_SPLIT_PREFIX$pkg-$OOO_SOURCEVERSION/* $OOBUILDDIR
rmdir $OOO_SPLIT_PREFIX$pkg-$OOO_SOURCEVERSION
@@ -301,7 +301,7 @@ if test "z$OOO_GIT" = "z" ; then
fi
# ugly hack around odd positioning of this info
echo "Unpacking setup_native .txt pieces"
- ($OOO_DECOMPRESS_CMD $SRCDIR/setup_native_packinfo-ooo320-m17.tar.bz2 | $GNUTAR xpf - ) || exit
+ ($OOO_DECOMPRESS_CMD $SRCDIR/setup_native_packinfo-ooo320-m17.tar.bz2 | $GNUTAR xf - ) || exit
fi
fi
else
@@ -339,21 +339,21 @@ if test "z$SPLIT" != "zyes"; then
if test -f $SRCDIR/$OOO_SYSTEM_TARBALL; then
# System is optional, but parts of it are useful
echo "Unpacking $OOO_SYSTEM_TARBALL..."
- ($OOO_DECOMPRESS_CMD $SRCDIR/$OOO_SYSTEM_TARBALL | $GNUTAR xpf - )
+ ($OOO_DECOMPRESS_CMD $SRCDIR/$OOO_SYSTEM_TARBALL | $GNUTAR xf - )
fi
# -binfilter source
if test -f $SRCDIR/$OOO_BINFILTER_TARBALL; then
echo "Unpacking $OOO_BINFILTER_TARBALL..."
- ($OOO_DECOMPRESS_CMD $SRCDIR/$OOO_BINFILTER_TARBALL | $GNUTAR xpf - )
+ ($OOO_DECOMPRESS_CMD $SRCDIR/$OOO_BINFILTER_TARBALL | $GNUTAR xf - )
fi
# -lang source
if test -f $SRCDIR/$OOO_LANG_TARBALL; then
echo "Unpacking $OOO_LANG_TARBALL..."
- ($OOO_DECOMPRESS_CMD $SRCDIR/$OOO_LANG_TARBALL | $GNUTAR xpf - )
+ ($OOO_DECOMPRESS_CMD $SRCDIR/$OOO_LANG_TARBALL | $GNUTAR xf - )
fi
if test -f $SRCDIR/$OOO_EXTENSIONS_TARBALL; then
echo "Unpacking $OOO_EXTENSIONS_TARBALL..."
- ($OOO_DECOMPRESS_CMD $SRCDIR/$OOO_EXTENSIONS_TARBALL | $GNUTAR xpf - )
+ ($OOO_DECOMPRESS_CMD $SRCDIR/$OOO_EXTENSIONS_TARBALL | $GNUTAR xf - )
fi
fi
@@ -392,7 +392,7 @@ OOO_CLI_PREBUILT_ARCHIVE=ooo-cli-prebuilt-3.3.tar.bz2
if test "z$PIECE" = "z"; then
if test -f "$SRCDIR/$OOO_CLI_PREBUILT_ARCHIVE"; then
mkdir -p $OOBUILDDIR/external/cli
- ( cd $OOBUILDDIR/external/cli; bzip2 -dc $SRCDIR/$OOO_CLI_PREBUILT_ARCHIVE | $GNUTAR xpf - ) || exit 1;
+ ( cd $OOBUILDDIR/external/cli; bzip2 -dc $SRCDIR/$OOO_CLI_PREBUILT_ARCHIVE | $GNUTAR xf - ) || exit 1;
fi
fi
@@ -610,7 +610,7 @@ if test "z$BUILD_WIN32" != "z"; then
# Add other Win32 "distros" here if they too want to use
# these icons
NovellWin32*|GoOoWin32*)
- bzip2 -dc $SRCDIR/ooo-windows-icons-0.2.tar.bz2 | $GNUTAR xpf -
+ bzip2 -dc $SRCDIR/ooo-windows-icons-0.2.tar.bz2 | $GNUTAR xf -
mv ico/ooo3_*.ico $OOBUILDDIR/sysui/desktop/icons
;;
esac
@@ -640,7 +640,7 @@ fi
if test -f $SRCDIR/$APACHE_ANT_TARBALL; then
$echo_n "Extracting ant $echo_c"
- (gunzip -dc $SRCDIR/$APACHE_ANT_TARBALL | $GNUTAR xpf - )|| exit 1;
+ (gunzip -dc $SRCDIR/$APACHE_ANT_TARBALL | $GNUTAR xf - )|| exit 1;
echo "done";
else
echo "Don't need to unpack ant";
@@ -779,7 +779,7 @@ if test "z$PIECE" = "z"; then
if test "x$OOO_EXTRA_ARTWORK" != "x"; then
# Html export rulers etc.
cd $OOBUILDDIR
- ( bzip2 -dc $SRCDIR/$OOO_EXTRA_ARTWORK | $GNUTAR xpf - ) || exit 1;
+ ( bzip2 -dc $SRCDIR/$OOO_EXTRA_ARTWORK | $GNUTAR xf - ) || exit 1;
fi
for i in $OOO_LANGS; do
commit e3f64e37fd2c52feacf23520a8006a209193117e
Author: Fridrich Å trba <fridrich.strba at bluewin.ch>
Date: Mon Oct 4 12:23:16 2010 +0200
Check for existence of vcredist\*.exe and copy into the tree
Break early if they are not there
diff --git a/bin/unpack b/bin/unpack
index 81597e9..961c9ff 100755
--- a/bin/unpack
+++ b/bin/unpack
@@ -208,6 +208,30 @@ if test "z$BUILD_WIN32" != "z"; then
echo "and can't easily be automated."
exit 1
fi
+
+ $echo_n "Looking for $SRCDIR/vcredist_x86.exe ... $echo_c"
+ if test -f $SRCDIR/vcredist_x86.exe; then
+ echo "ok"
+ else
+ echo "missing"
+ echo "Get it from the Microsoft site and put it into $SRCDIR."
+ echo "You may have to search Microsoft's website."
+ echo "Look for the version of 32-bit runtime redistribuable that corresponds"
+ echo "to the version your Visual Studio links with"
+ exit 1
+ fi
+
+ $echo_n "Looking for $SRCDIR/vcredist_x64.exe ... $echo_c"
+ if test -f $SRCDIR/vcredist_x64.exe; then
+ echo "ok"
+ else
+ echo "missing"
+ echo "Get it from the Microsoft site and put it into $SRCDIR."
+ echo "You may have to search Microsoft's website."
+ echo "Look for the version of 64-bit runtime redistribuable that corresponds"
+ echo "to the version your Visual Studio links with"
+ exit 1
+ fi
fi
case "$DISTRO" in
commit fe515a000c2e58da7d9be2039681bb9968696496
Author: Fridrich Å trba <fridrich.strba at bluewin.ch>
Date: Mon Oct 4 12:04:46 2010 +0200
Revert "Fix problem with arguments containing spaces."
Waiting for a proper fix that does not break stuff
This reverts commit 63ed769d256cc0fbd35853b30c51dfe2b4ad727c.
diff --git a/bin/build-ooo b/bin/build-ooo
index 985b741..2bd6074 100755
--- a/bin/build-ooo
+++ b/bin/build-ooo
@@ -50,7 +50,7 @@ echo "Env for configure:"
set
echo "Env for configure ends"
-sh ./autogen.sh "$CONFIGURE_OPTIONS" "$PROPAGATED_ARGS" || exit 1;
+eval ./autogen.sh "$CONFIGURE_OPTIONS" "$PROPAGATED_ARGS" || exit 1;
# Final build preparation
More information about the ooo-build-commit
mailing list